package cn.net.caoyao.cpzshandset.db;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
/*
 * 用于存储手持机各个模式的id
 */
public class ConfigDBHelper extends SQLiteOpenHelper{
	private static final int VERSION = 1;// 提交状态增加一个生产功能
	public final static String db_name = "hansetConfig.db";
	public static final String tb_config = "hansetConfig";
	public ConfigDBHelper(Context context) {
		super(new ConfigDbContext(context), db_name, null, VERSION);
	}
	

	@Override
	public void onCreate(SQLiteDatabase db) {
		createConfigDB(db);
		
	}

	/**
	 * handsetMode:手持机的版本模式（其中的插入值对应于HandsetVersionConstant类中的值），主键，不能重复
	 * deviceId:该模式手持机对应的设备ID，存储加密后的数据
	 * status:状态，暂时不使用，默认为1
	 * expand1:扩展字段
	 * expand2:扩展字段
	 * @param db
	 */
	private void createConfigDB(SQLiteDatabase db) {
		db.execSQL("CREATE TABLE "+tb_config+"(handsetMode INTEGER PRIMARY KEY not null,deviceId VARCHAR(20),status INTEGER default 1, expand1 VARCHAR(20), expand2 VARCHAR(20))");		
	}


	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		
	}

}
